searchNodes=[{"ref":"OggVorbisParser.html","title":"OggVorbisParser","type":"module","doc":"A parser for VorbisComments in Ogg containers. While it&#39;s possible to use Vorbis streams without Ogg containers or with different kinds of containers, this parser expects Ogg. The relevant part of an Ogg Vorbis file starts with an Ogg capture pattern (a file signature) followed by some Ogg container bits, the Vorbis identification header, and the Vorbis comment header. OggVorbisParser uses File.stream!/3 instead of File.read/1 to avoid loading entire audio files into memory."},{"ref":"OggVorbisParser.html#parse/2","title":"OggVorbisParser.parse/2","type":"function","doc":"Parses VorbisComment if present. Only loads max_size_chunk_in_bytes into memory instead of the whole file. The default max_size_chunk_in_bytes is 4000 per xiph.org&#39;s recommended max header size for streaming. Note that the &quot;format&quot; comment in the example below says MP3 because this Ogg file from archive.org was probably converted from an mp3. The actual mp3 is included too as shown below. Examples iex&gt; {:ok, binary} = OggVorbisParser.parse(&quot;test/audio_files/lifeandtimesoffrederickdouglass_01_douglass.ogg&quot;) iex&gt; binary %{ &quot;comments&quot; =&gt; %{ &quot;album&quot; =&gt; &quot;Life and Times of Frederick Douglass&quot;, &quot;artist&quot; =&gt; &quot;Frederick Douglass&quot;, &quot;comment&quot; =&gt; &quot;http://archive.org/details/life_times_frederick_douglass_ls_1411_librivox&quot;, &quot;crc32&quot; =&gt; &quot;965da915&quot;, &quot;encoder&quot; =&gt; &quot;Lavf55.45.100&quot;, &quot;format&quot; =&gt; &quot;128Kbps MP3&quot;, &quot;genre&quot; =&gt; &quot;speech&quot;, &quot;height&quot; =&gt; &quot;0&quot;, &quot;length&quot; =&gt; &quot;351.76&quot;, &quot;md5&quot; =&gt; &quot;4be053d1a643c55f155bc489e687f9c8&quot;, &quot;mtime&quot; =&gt; &quot;1415249910&quot;, &quot;sha1&quot; =&gt; &quot;f85622a5998dde20e935fbcee782fcb39bbcdaa6&quot;, &quot;size&quot; =&gt; &quot;5632957&quot;, &quot;source&quot; =&gt; &quot;original&quot;, &quot;title&quot; =&gt; &quot;01 - Author&#39;s Birth&quot;, &quot;tracknumber&quot; =&gt; &quot;2&quot;, &quot;vendor_string&quot; =&gt; &quot;Lavf55.45.100&quot;, &quot;width&quot; =&gt; &quot;0&quot; }, &quot;vendor_string&quot; =&gt; &quot;Lavf55.45.100&quot; } iex&gt; {:ok, binary} = OggVorbisParser.parse(&quot;test/audio_files/lifeandtimesoffrederickdouglass_01_douglass.ogg&quot;) iex&gt; binary[&quot;comments&quot;][&quot;title&quot;] &quot;01 - Author&#39;s Birth&quot; iex&gt; {:error, err} = OggVorbisParser.parse(&quot;test/audio_files/lifeandtimesoffrederickdouglass_01_douglass_128kb.mp3&quot;) iex&gt; err :no_ogg_container_found"}]